Packages - Bug #3135

[nonprism/webkit2gtk][nonprism/postfix]: installing icu (70.1-1) breaks dependency
2021-11-27 02:18 PM - DragOnFly

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

A dependency error is preventing systems from being upgraded (at least using nonprism repos)—

error: failed to prepare transaction (could not satisfy dependencies)

installing icu (70.1-1) breaks dependency 'error: failed to prepare transaction (could not sati
sfy dependencies)
:: installing icu (70.1-1) breaks dependency 'libicuil8n.so=69-64"' required by webkit2gtk
:: installing icu (70.1-1) breaks dependency 'libicuuc.so=69-64"' required by webkit2gtk' required
by webkit2gtk
:: installing icu (70.1-1) breaks dependency 'libicuuc.so0=69-64"' required by webkit2gtk

:: Starting full system upgrade...

resolving dependencies...

looking for conflicting packages...

error: failed to prepare transaction (could not satisfy dependencies)
installing icu (70.1-1) breaks dependency 'libicuil8n.so0=69-64"' required by webkit2gtk
installing icu (70.1-1) breaks dependency 'libicuuc.so0=69-64"' required by webkit2gtk

pacman —-S icu

resolving dependencies...

looking for conflicting packages...

error: failed to prepare transaction (could not satisfy dependencies)
installing icu (70.1-1) breaks dependency 'libicuuc.s0=69-64"' required by harfbuzz-icu
installing icu (70.1-1) breaks dependency 'libicuuc.s0=69-64"' required by postfix

Appears to be related to a change introduced between icu 69.1-1 -> 70.1-1.

Similar bug as reported in https:/labs.parabola.nu/issues/3125

History

#1 - 2021-11-27 02:39 PM - DragOnFly

It appears that an older version of “webkit2gtk” is still in the nonprism-repo. When using the version provided in extra, the dependency is resolved.
warning: webkit2gtk: local (2.34.2-1) is newer than nonprism (2.32.0-2.nonprisml)

pacman -sS “webkit2gtk
nonprism/webkit2gtk 2.32.0-2.nonprisml [installed: 2.34.2-1]
Web content engine for GTK, without geoclue2 support
nonprism/webkit2gtk-debug 2.32.0-2.nonprisml
Detached debugging symbols for webkit2gtk
extra/webkit2gtk 2.34.2-1 [installed]
Web content engine for GTK

#2 - 2021-11-27 05:48 PM - bill-auger
- Status changed from unconfirmed to info needed

- Subject changed from system upgrades broken — “icu” (70.1.-1) breaks dependencies towards libicui18n.so=69-64 & libicuuc.s0=69-64 (webkit2gtk)
to [nonprism/webkit2gtkj[nonprism/postfix]: installing icu (70.1-1) breaks dependency

most likely, you just need to sync the database again, to see the new 'icu-compat' v69 - i just swapped 'nonprism/webkit2gtk' and 'libre/webkit2gtk'
with no conflict in either direction - 'webkit2gtk' should pull in 'icu-compat' automatically, if that is not installed already

# pacman -Syy webkit2gtk

these 'icu' conflicts are a recurring maintenance task - there are permanent epic tickets for 'icu' dependents (x86_64 is #2047) - plz refer to that ticket
in the future, especially if you can note any stuck packages, which do not have a linked sub-task yet

#3 - 2021-11-27 05:59 PM - DragOnFly

| always sync before upgrading. Did another sync just now—

date
Sat 27 Nov 18:58:47 CET 2021

pacman —-Syy
Synchronizing package databases...

nonprism 2
7.4 KiB 18.7 KiB/s 00:01 [########444H#44d444444444 044440 F 444 B4 HHFHBHFHFHHHHHHFHHFHHSRHHFHFESHHFHHHS)
100%

nonsystemd 3
8.1 KiB 143 KiB/s 00:00 [#######4f4HH444HH#44H 4444 HFHFHHHHHHHHHHFHFHRHFHAHRHHFHFRRHFHASRHHHHF SR FHFERHH)
100%

libre 31
5.0 KiB 829 KiB/s 00:00 [#######4##H##44HHH#44HHH#4FHHHFHFHHHHHHFRHHFHFHRHFHAHRHHFHFERHFHAERHHHHFSRHFHFERHH)
100%

core 12
3.0 KiB 461 KiB/s 00:00 [#####44#HH#44dHH444HHH#44HH44HHHHFHFHHFHHHRHHFHFHHFHHSRBHFHFERHHHAFRSHFHFERHH)
100%

extra 146
2.9 KiB 4.04 MiB/s 00:00 [########444H#44dH4444HH4444H4F4FHBHFHFHHHHFHFHBHFHHHHHHHHFHHFHFSRHHFHFSSHHHHES)
100%

community

5.6 MiB 13.4 MiB/s 00:00 [########444H#44dH4444HH4444H 44444 HFHHHHHHHHFHBHFHHHRHHHHFRHFHASRHHFHFESHHHHHS)
100%

pcr

pacman -sS “webkit2gtk
nonprism/webkit2gtk 2.32.0-2.nonprisml [installed: 2.34.2-1]
Web content engine for GTK, without geoclue2 support
nonprism/webkit2gtk-debug 2.32.0-2.nonprisml
Detached debugging symbols for webkit2gtk
extra/webkit2gtk 2.34.2-1 [installed]
Web content engine for GTK
extra/webkit2gtk-4.1 2.34.2-1
Web content engine for GTK
extra/webkit2gtk-5.0 2.34.2-1
Web content engine for GTK

However, the package version for webkit2gtk is still at the older 2.32.0-2 version in nonprism.
I'll keep in mind the ticket you mention for this in the future, but again my problem was resolved by pulling the webkit2gtk version from extra.

It also appears that the webkit2gtk-4.1 package (see #3125) might also cause some extra confusion, as | had to get around a similar issue with this
package earlier (which again led to the issue reported here). Not sure which approach would be 'correct’, but it seems unfortunate that a version tag is
attached to the package name itself...

#4 - 2021-11-27 06:10 PM - bill-auger

installing a libre package is not a solution when nonprism is enabled, only a work-around; and pacman will keep warning you about it - you may be
satisfied with a quick fix; but others surely would not

no quick fix should be necessary though - there is no reason why you could not install nonprism/webkit2gtk now - perhaps you will need to install
'icu-compat' explicitly first; but i did not need to

# apcman -Syy icu-compat

it would be good to keep this open for a while, to see if anyone can confirm it as a reproducible bug

#5 - 2021-11-27 06:18 PM - DragOnFly

| surely do not want a quick fix ;), but | had to get around it as there were nearly 80 packages in the upgrade queue.
Interesting observation about icu-compat — | noticed that package earlier, but hadn't tried installing it (seemed like a shot in the dark)

This was done now, and | reverted the webkit2gtk package back to its 2.32.0-2 version. (Why the 2.34 version is not in nonprism | am not 100% sure,
but it can be due to the inclusion of geoclue2)

pacman -S webkit2gtk

warning: downgrading package webkit2gtk (2.34.2-1 => 2.32.0-2.nonprisml)
resolving dependencies...

looking for conflicting packages...
Packages (1) webkit2gtk-2.32.0-2.nonprisml
| then reinstalled one of the packages which suffered breakage before (postfix)

pacman -S postfix

warning: postfix-3.6.3-3 is up to date —-- reinstalling
resolving dependencies...

looking for conflicting packages...

Packages (1) postfix-3.6.3-3

Total Installed Size: 4.35 MiB
Net Upgrade Size: 0.00 MiB

:: Proceed with installation? [Y/n]
(1/1) checking keys in keyring
[ R R 1 )
100%
(1/1) checking package integrity
[ R R )
100%
(1/1) loading package files
[ R R R )
100%
(1/1) checking for file conflicts
[ R R R )
100%
(1/1) checking available disk space
[ R R R )
100%
: Running pre-transaction hooks...
(1/1) etckeeper: pre-transaction commit
:: Processing package changes...
(1/1) reinstalling postfix
[ R R R )
100%
:: Running post-transaction hooks...
(1/3) Creating system user accounts...
Two or more conflicting lines for users configured, ignoring.
(2/3) Creating temporary files...
(3/3) etckeeper: post-transaction commit

So | guess icu-compat should be a dependency somewhere, so that this is done automatically. But it's obviously nice to have a manual solution
nonetheless.

#6 - 2021-11-27 06:31 PM - bill-auger

it could probably be part of 'base’; but it can be optional - the new sodeps mechanism should install it automatically when available and needed - that
way, it can be cleanly uninstalled when no longer required (via pacman -Qdtq | pacman -Rs)

does your pacman see it at v69?

# pacman -Syys icu-compat

#7 - 2021-11-27 06:33 PM - DragOnFly

pacman —-Syys icu-compat
Synchronizing package databases...

nonprism 2
7.4 KiB  6.92 KiB/s 00:04 [########4d#Ht444H4H4444 4544444 FHFHHHFHHFHHHAHFRHHFHHFRAHAHFRRHAHHSREHAHFRRHHHFHEH)

100%

nonsystemd 3
8.1 KiB 44.2 KiB/s 00:01 [##########444HH#4444H4444HH4444RHHFHFHHHAHHFRHHAHFERHAFHEREHAHFRRHAFHERSHAHFSRHHAH)

100%

libre 31
5.0 KiB 245 KiB/s 00:01 [######4#HH#44dHH#444HH4444HHHFHHFHHHAHFRHHAHHFRHHAHFRRHHFHFRHHAHFERHHFHFRSHAHHEHEH)

100%

core 12
3.0 KiB 129 KiB/s 00:01 [#######4##HH##44HHt#44H4H44FHHHFHFHRHHAHFRHHAHFERHAAHFREHAHFRRHAHHERSHAHFRRHFHHEREH)

100%

extra 146
2.9 KiB 612 KiB/s 00:02 [#######4##HH##44HHH#44H 44444 HHHFHFHRHHAHFRHHAHFHRHAAHFRHHAHFRRHAHFERHHAHFSRHFHHEREH)

100%

community
5.6 MiB 722 KiB/s 00:08 [###########444HH#444HH4#4FHHHFHHHHHHHHFHHFHFHHHHHHFHSHHHFEHHHHHF S HHHHH I HHEHHH)
100%
pcr 52
6.2 KiB 175 KiB/s 00:03 [#######4#4H#444HH#44444#4FHHFHHHHHHHHHHHHFHFHHHHHFHHHHHHFRSHHHHEHHHHHF S HEEHH)
100%
libre/icu-compat 69.1-1.parabolal [installed]
International Components for Unicode library (compatibility libraries for the previous release)
libre/icu-compat-65 65.1-3.parabola3
International Components for Unicode library (compatibility libraries for the previous release)
libre/icu-compat-67 67.1-1.parabolal
International Components for Unicode library (compatibility libraries for the previous release)
libre/icu-compat-debug 67.1-1.parabolal
Detached debugging symbols for icu-compat

#8 - 2021-11-29 03:14 AM - bill-auger
- Assignee set to bill-auger

- Status changed from info needed to in progress

#9 - 2021-11-29 03:14 AM - bill-auger

- Status changed from in progress to fixed
